java.security.interfaces

## Interface DSAPrivateKey

All Superinterfaces:
  DSAKey, Key, PrivateKey, Serializable

    public interface DSAPrivateKey
    extends DSAKey, PrivateKey

The standard interface to a DSA private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

See Also:
  `Key`, `Signature`, `DSAKey`, `DSAPublicKey`

### Field Summary

Fields
`static long` `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

### Method Summary

Methods
`BigInteger` `getX()` Returns the value of the private key, `x`.

### Methods inherited from interface java.security.interfaces.DSAKey

`getParams`

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

See Also:
  Constant Field Values

### Method Detail

#### getX

    BigInteger getX()

Returns the value of the private key, `x`.

Returns:
  the value of the private key, `x`.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.